// ==UserScript==
// @name           iGoogle Sidebar Toggle
// @namespace      http://trailheadinteractive.com/igoogle_sidebar_toggle
// @description    Adds a toggle for the iGoogle sidebar in Firefox 3
// @include        http://www.google.com/ig*
// @include        https://www.google.com/ig*
// ==/UserScript==

var modules, newElement;

function addGlobalStyle(css) {
    var head, style;
    head = document.getElementsByTagName('head')[0];
    if (!head) { return; }
    style = document.createElement('style');
    style.type = 'text/css';
    style.innerHTML = css;
    head.appendChild(style);
}

addGlobalStyle('#sidebarToggle { position: absolute; width: 1em;}');
addGlobalStyle('#col2 { position: relative; }');
addGlobalStyle('#col1.hidden { display: none; }');

modules = document.getElementById('modules');
if (modules) {
    newElement = document.createElement('div');
    newElement.innerHTML = '&raquo;';
    newElement.id = 'sidebarToggle';
    newElement.addEventListener('click', toggleSidebar, true);
    modules.parentNode.insertBefore(newElement, modules);
}

toggleSidebar();

function toggleSidebar() {
	col1 = document.getElementById('col1');
	toggle = document.getElementById('sidebarToggle');
	if (col1 && toggle) {
		if (col1.className != 'hidden') {
			col1.className = 'hidden';
//			col1.style.display = 'block';
//			col1.style.height = '100%';
			toggle.innerHTML = '&laquo;';
		} else {
			col1.className = '';
//			col1.style.display = 'none';
			toggle.innerHTML = '&raquo;';
		}
	}
}
